Bug 855030 - mcrypt: buffer overflow when processing encrypted file headers [fedora-all]
mcrypt: buffer overflow when processing encrypted file headers [fedora-all]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mcrypt (Show other bugs)
17
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2012-4409
  Show dependency treegraph
 
Reported: 2012-09-06 10:33 EDT by Vincent Danen
Modified: 2012-09-26 05:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 18:15:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-09-06 10:33:24 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=855029

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Tom "spot" Callaway 2012-09-07 11:28:01 EDT
FWIW, this exploit is prevented by FORTIFY_SOURCE:

*** buffer overflow detected ***: mcrypt terminated

Still gonna push the update though.
Comment 2 Fedora Update System 2012-09-07 13:34:09 EDT
mcrypt-2.6.8-9.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mcrypt-2.6.8-9.fc17
Comment 3 Fedora Update System 2012-09-07 13:34:27 EDT
mcrypt-2.6.8-9.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mcrypt-2.6.8-9.fc16
Comment 4 Fedora Update System 2012-09-07 13:34:46 EDT
mcrypt-2.6.8-9.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mcrypt-2.6.8-9.fc18
Comment 5 Fedora Update System 2012-09-08 15:24:31 EDT
Package mcrypt-2.6.8-9.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mcrypt-2.6.8-9.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13599/mcrypt-2.6.8-9.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-09-17 18:15:45 EDT
mcrypt-2.6.8-9.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-09-18 23:10:51 EDT
mcrypt-2.6.8-9.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-09-26 05:13:43 EDT
mcrypt-2.6.8-9.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.